# FileSystemDeleteEvent class

File system event for deletion of file system objects.

Inheritance
  - Object
  - FileSystemEvent
  - FileSystemDeleteEvent

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isDirectory → bool
  Is `true` if the event target was a directory. [...]
  final, inherited
path → String
  The path that triggered the event. [...]
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → int
  The type of event. See FileSystemEvent for a list of events.
  final, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited